org.apache.ignite.ml.preprocessing.imputing

## Enum ImputingStrategy

- java.lang.Object
- - java.lang.Enum<ImputingStrategy>
  - - org.apache.ignite.ml.preprocessing.imputing.ImputingStrategy

- All Implemented Interfaces:
    Serializable, Comparable<ImputingStrategy>

      public enum ImputingStrategy
      extends Enum<ImputingStrategy>

  This enum contains settings for imputing preprocessor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT` If this strategy is chosen, then replace missing using the amount of values along the axis.
    `LEAST_FREQUENT` If this strategy is chosen, then replace missing using the least frequent value along the axis.
    `MAX` If this strategy is chosen, then replace missing using the maximum value along the axis.
    `MEAN` The default strategy.
    `MIN` If this strategy is chosen, then replace missing using the minimal value along the axis.
    `MOST_FREQUENT` If this strategy is chosen, then replace missing using the most frequent value along the axis.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImputingStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImputingStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEAN

          public static final ImputingStrategy MEAN

      The default strategy. If this strategy is chosen, then replace missing values using the mean for the numeric features along the axis.

    - #### MOST_FREQUENT

          public static final ImputingStrategy MOST_FREQUENT

      If this strategy is chosen, then replace missing using the most frequent value along the axis.

    - #### MIN

          public static final ImputingStrategy MIN

      If this strategy is chosen, then replace missing using the minimal value along the axis.

    - #### MAX

          public static final ImputingStrategy MAX

      If this strategy is chosen, then replace missing using the maximum value along the axis.

    - #### COUNT

          public static final ImputingStrategy COUNT

      If this strategy is chosen, then replace missing using the amount of values along the axis.

    - #### LEAST_FREQUENT

          public static final ImputingStrategy LEAST_FREQUENT

      If this strategy is chosen, then replace missing using the least frequent value along the axis.

  - ### Method Detail

    - #### values

          public static ImputingStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImputingStrategy c : ImputingStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImputingStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023